#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 random-source
version:              0.3.0.11
visibility:           public
id:                   random-source-0.3.0.11-12aaiVXvr4n7KJdHKiTzKD
key:                  random-source-0.3.0.11-12aaiVXvr4n7KJdHKiTzKD
license:              LicenseRef-PublicDomain
maintainer:           James Cook <mokus@deepbondi.net>
author:               James Cook <mokus@deepbondi.net>
stability:            provisional
homepage:             https://github.com/mokus0/random-fu
synopsis:             Generic basis for random number generators
description:
    Random number generation based on entropy sources
    able to produce a small but well-defined set of
    primitive variates.  Also includes facilities for
    \"completing\" partial implementations, making it
    easy to define new entropy sources in a way that
    is naturally forward-compatible.

category:             Math
abi:                  0ed23862cecf3fe11c3a7e09fa833ca8
exposed:              True
exposed-modules:
    Data.Random.Internal.Source Data.Random.Internal.Words
    Data.Random.Source Data.Random.Source.DevRandom
    Data.Random.Source.IO Data.Random.Source.MWC
    Data.Random.Source.PureMT Data.Random.Source.Std
    Data.Random.Source.StdGen

hidden-modules:
    Data.Random.Source.Internal.Prim Data.Random.Source.Internal.TH

import-dirs:          /usr/lib/ghc-8.10.4/site-local/random-source-0.3.0.11
library-dirs:         /usr/lib/ghc-8.10.4/site-local/random-source-0.3.0.11
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/random-source-0.3.0.11
hs-libraries:         HSrandom-source-0.3.0.11-12aaiVXvr4n7KJdHKiTzKD
depends:
    base-4.14.1.0 flexible-defaults-0.0.3-1CBTetyRW2g7cTVJmssqkh
    mersenne-random-pure64-0.2.2.0-1H2hy6hJFVVHJ5aiu30XQ7 mtl-2.2.2
    mwc-random-0.15.0.1-1WxjaF15OEU8MBgtMBdsqh
    primitive-0.7.1.0-1jtn3ScaNXuKFqzzByIWfh
    random-1.2.0-3POi92OD31J4f1XFn4haBc
    stateref-0.3-4wfWqmwRLMHJr0J7ORP3wK
    syb-0.7.2.1-7IivvRpEqey3Ddb4vsqX1J template-haskell-2.16.0.0
    th-extras-0.0.0.4-BSyi5wGj9Na8pX8PaeXFxq

haddock-interfaces:
    /usr/share/doc/haskell-random-source/html/random-source.haddock

haddock-html:         /usr/share/doc/haskell-random-source/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

